| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
IUpdateManagerSvc::PtrSetter< ActualType > Class Template Referencefinal

Templated specialization of BasePtrSetter. More...

Inheritance diagram for IUpdateManagerSvc::PtrSetter< ActualType >:
[legend]
Collaboration diagram for IUpdateManagerSvc::PtrSetter< ActualType >:
[legend]

## Public Types
using | dest_type = ActualType

## Public Member Functions
| PtrSetter (dest_type *&dest)
void | set (DataObject *obj) override
| sets the internal pointer to the provided data object (with a dynamic_cast). More...
bool | isNull () override
| tells if the internal pointer is nullptr. More...
Public Member Functions inherited from BasePtrSetter
virtual | ~BasePtrSetter ()=default
| Empty virtual destructor. More...

## Private Attributes
dest_type ** | m_storage
| pointer to the pointer to fill provided by the user. More...

## Detailed Description

### template<class ActualType>
class IUpdateManagerSvc::PtrSetter< ActualType >

Templated specialization of BasePtrSetter.

Definition at line 150 of file IUpdateManagerSvc.h.

## Member Typedef Documentation

template<class ActualType >

using IUpdateManagerSvc::PtrSetter< ActualType >::dest_type = ActualType

Definition at line 152 of file IUpdateManagerSvc.h.

## Constructor & Destructor Documentation

template<class ActualType >

IUpdateManagerSvc::PtrSetter< ActualType >::PtrSetter | ( | dest_type *& | dest | ) |
| inline

Definition at line 153 of file IUpdateManagerSvc.h.

153 :m_storage(&dest) {
154 *m_storage = nullptr;
155 }
gaudirun.dest
dest
Definition: gaudirun.py:162
IUpdateManagerSvc::PtrSetter::m_storage
dest_type ** m_storage
pointer to the pointer to fill provided by the user.
Definition: IUpdateManagerSvc.h:163

## Member Function Documentation

template<class ActualType >

bool IUpdateManagerSvc::PtrSetter< ActualType >::isNull | ( |  | ) |
| inline override virtual

tells if the internal pointer is nullptr.

Implements BasePtrSetter.

Definition at line 159 of file IUpdateManagerSvc.h.

159 { return *m_storage == nullptr; }
IUpdateManagerSvc::PtrSetter::m_storage
dest_type ** m_storage
pointer to the pointer to fill provided by the user.
Definition: IUpdateManagerSvc.h:163
template<class ActualType >

void IUpdateManagerSvc::PtrSetter< ActualType >::set | ( | DataObject * |  | ) |
| inline override virtual

sets the internal pointer to the provided data object (with a dynamic_cast).

Implements BasePtrSetter.

Definition at line 156 of file IUpdateManagerSvc.h.

156 {
157 *m_storage = dynamic_cast<dest_type *>(obj);
158 }
IUpdateManagerSvc::PtrSetter::dest_type
ActualType dest_type
Definition: IUpdateManagerSvc.h:152
IUpdateManagerSvc::PtrSetter::m_storage
dest_type ** m_storage
pointer to the pointer to fill provided by the user.
Definition: IUpdateManagerSvc.h:163

## Member Data Documentation

template<class ActualType >

dest_type** IUpdateManagerSvc::PtrSetter< ActualType >::m_storage
| private

pointer to the pointer to fill provided by the user.

Definition at line 163 of file IUpdateManagerSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IUpdateManagerSvc.h